import * as react_jsx_runtime from 'react/jsx-runtime';
import { SpacingTypes } from '@versini/ui-types';

declare const SPINNER_CLASSNAME = "av-spinner";

type SpinnerProps = {
	/**
	 * The mode of spinner to render. This will change the color of the spinner.
	 */
	mode?: "dark" | "light" | "system" | "alt-system";
	/**
	 * A ref to the spinner element.
	 */
	spinnerRef?: React.RefObject<HTMLDivElement>;
	/**
	 * The type of spinner to render. This will change the layout of the spinner.
	 */
	type?: "circle" | "dots";
} & SpacingTypes.Props;

declare const Spinner: ({ spinnerRef, mode, type, spacing, }: SpinnerProps) => react_jsx_runtime.JSX.Element;

export { SPINNER_CLASSNAME, Spinner };
